searchNodes=[{"doc":"Cloudevents implementation for Elixir. This is the main module.","ref":"Cloudevents.html","title":"Cloudevents","type":"module"},{"doc":"Converts a HTTP request into one or more Cloudevents. Note that the HTTP request could contain more than one event (called a &quot;batch&quot;). Because of this, the function always returns a list of Cloudevents. Use pattern matching if you expect single events only: with {:ok, [the_event]} = from_http_message(body, headers) do &quot;do something with the_event&quot; else {:ok, events} -&gt; &quot;oops got a batch of events&quot; {:error, error} -&gt; &quot;failed to parse HTTP request: \#{inspect(error)}&quot; end","ref":"Cloudevents.html#from_http_message/2","title":"Cloudevents.from_http_message/2","type":"function"},{"doc":"Decodes a JSON-encoded Cloudevent.","ref":"Cloudevents.html#from_json/1","title":"Cloudevents.from_json/1","type":"function"},{"doc":"Serialize an event in HTTP binary content mode.","ref":"Cloudevents.html#to_binary_http_message/1","title":"Cloudevents.to_binary_http_message/1","type":"function"},{"doc":"Encodes a Cloudevents using JSON format.","ref":"Cloudevents.html#to_json/1","title":"Cloudevents.to_json/1","type":"function"},{"doc":"Serialize an event in HTTP structured content mode.","ref":"Cloudevents.html#to_structured_http_message/2","title":"Cloudevents.to_structured_http_message/2","type":"function"},{"doc":"","ref":"Cloudevents.html#t:cloudevent/0","title":"Cloudevents.cloudevent/0","type":"type"},{"doc":"","ref":"Cloudevents.html#t:http_body/0","title":"Cloudevents.http_body/0","type":"type"},{"doc":"","ref":"Cloudevents.html#t:http_headers/0","title":"Cloudevents.http_headers/0","type":"type"},{"doc":"Cloudevents format v0.1.","ref":"Cloudevents.Format.V_0_1.Event.html","title":"Cloudevents.Format.V_0_1.Event","type":"module"},{"doc":"Cloudevents format v0.1.","ref":"Cloudevents.Format.V_0_1.Event.html#t:t/0","title":"Cloudevents.Format.V_0_1.Event.t/0","type":"type"},{"doc":"Cloudevents format v0.2.","ref":"Cloudevents.Format.V_0_2.Event.html","title":"Cloudevents.Format.V_0_2.Event","type":"module"},{"doc":"Cloudevents format v0.2.","ref":"Cloudevents.Format.V_0_2.Event.html#t:t/0","title":"Cloudevents.Format.V_0_2.Event.t/0","type":"type"},{"doc":"Cloudevents format v1.0.","ref":"Cloudevents.Format.V_1_0.Event.html","title":"Cloudevents.Format.V_1_0.Event","type":"module"},{"doc":"","ref":"Cloudevents.Format.V_1_0.Event.html#from_map/1","title":"Cloudevents.Format.V_1_0.Event.from_map/1","type":"function"},{"doc":"Cloudevents format v1.0.","ref":"Cloudevents.Format.V_1_0.Event.html#t:t/0","title":"Cloudevents.Format.V_1_0.Event.t/0","type":"type"},{"doc":"What was given could not be decoded to a Cloudevent.","ref":"Cloudevents.Format.Decoder.DecodeError.html","title":"Cloudevents.Format.Decoder.DecodeError","type":"exception"},{"doc":"Callback implementation for Exception.message/1.","ref":"Cloudevents.Format.Decoder.DecodeError.html#message/1","title":"Cloudevents.Format.Decoder.DecodeError.message/1","type":"function"},{"doc":"What was given does not look like a proper Cloudevent.","ref":"Cloudevents.Format.V_1_0.Event.ParseError.html","title":"Cloudevents.Format.V_1_0.Event.ParseError","type":"exception"}]